<?php
	/**
	 *	Geonline GoogleMap Adventure Component for Joomla! 1.0.0
	 *	Dynamic portal server and Content managment engine
	 *	
 	 *
	 *	Copyright (C) 2004 Maurice Scavazzin
	 *	Distributed under the terms of the GNU General Public License
	 *	This software may be used without warrany provided and
	 *  copyright statements are left intact.
     */

function com_install() {
	global $database, $mosConfig_absolute_path;

	// Create a new section for the GeonlineGmapAdventure items
	echo "Creating new Section named <b>GeOnlineGmapAdventure</b>.<br>";

	$sec = new mosSection( $database );
	$sec->title = "GeOnlineGmapAdventure";
	$sec->name = "GeOnlineGmapAdventure Section";
	$sec->scope = "content";
	$sec->image_position = "left";
	$sec->description = "A section containing all Journeys items.";
	$sec->published = "1";
	if ( !$sec->store() || !$sec->checkin() || !$sec->updateOrder() ) {
		return false;
	}

	// Get the section id
	$database->setQuery( "SELECT id FROM #__sections WHERE title='GeOnlineGmapAdventure'" );
	if ( !$secid = $database->loadResult() ) {
		return false;
	}

	echo "Creating <b>Default Journey</b> Category under Section GeOnlineGmapAdventure.<br>";

	// Insert a default category for the GeonlineGmapAdventure section.
	$cat = new mosCategory( $database );
	$cat->title = "Default Journey";
	$cat->name = "Default Journey";
	$cat->image = "";
	$cat->section = $secid;
	$cat->image_position = "left";
	$cat->description = "";
	$cat->published = "1";
	if ( !$cat->store() || !$cat->checkin() || !$sec->updateOrder() ) {
		return false;
	}

	// Get the cat id
	$database->setQuery( "SELECT id FROM #__categories WHERE section='$secid'" );
	if ( !$catid = $database->loadResult() ) {
		return false;
	}

echo "<p><b>Go now to Component Admin Menu to see the README</b> and load common GeoCoordinates table.";

}
?>